Akismet 2.5.0 II

For some reason I had to upgrade Akismet to version 2.5.0, from 2.4.0, again. This may have something to do with the WordPress 3.0.3 update.